# Uses of Class
org.apache.lucene.backward_codecs.compressing.Decompressor

Packages that use Decompressor
Package
Description
org.apache.lucene.backward_codecs.compressing
Compressing helper classes.
org.apache.lucene.backward_codecs.lucene87
Lucene 8.7 file format.

- ## Uses of Decompressor in org.apache.lucene.backward_codecs.compressing

  Methods in org.apache.lucene.backward_codecs.compressing that return Decompressor
  Modifier and Type
  Method
  Description
  `abstract Decompressor`
  Decompressor.`clone()`
  `abstract Decompressor`
  CompressionMode.`newDecompressor()`
  Create a new `Decompressor` instance.

- ## Uses of Decompressor in org.apache.lucene.backward_codecs.lucene87

  Methods in org.apache.lucene.backward_codecs.lucene87 that return Decompressor
  Modifier and Type
  Method
  Description
  `Decompressor`
  DeflateWithPresetDictCompressionMode.`newDecompressor()`
  `Decompressor`
  LZ4WithPresetDictCompressionMode.`newDecompressor()`